# geos::operation::overlay::OffsetPointGenerator Class Reference

Generates points offset from both sides of all segments in a geometry. More...

`#include <OffsetPointGenerator.h>`

List of all members.

## Public Member Functions

| OffsetPointGenerator (const geom::Geometry &geom, double offset)
std::auto_ptr< std::vector < geom::Coordinate > > | getPoints ()
| Gets the computed offset points.

## Detailed Description

Generates points offset from both sides of all segments in a geometry.

The documentation for this class was generated from the following file:

- OffsetPointGenerator.h